## kodi-pvr-octonet 19.0.0+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pvr.octonet)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(JsonCpp REQUIRED)

include_directories(${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
                    ${JSONCPP_INCLUDE_DIRS})

set(DEPLIBS ${JSONCPP_LIBRARIES})

set(OCTONET_SOURCES src/addon.cpp
                    src/OctonetData.cpp
                    src/Socket.cpp
                    src/rtsp_client.cpp)

set(OCTONET_HEADERS src/addon.h
                    src/OctonetData.h
                    src/Socket.h
                    src/rtsp_client.hpp)

addon_version(pvr.octonet OCTONET)
add_definitions(-DOCTONET_VERSION=${OCTONET_VERSION})

build_addon(pvr.octonet OCTONET DEPLIBS)

if(WIN32)
  if(NOT CMAKE_SYSTEM_NAME STREQUAL WindowsStore)
    target_link_libraries(pvr.octonet wsock32 ws2_32)
  else()
    target_link_libraries(pvr.octonet ws2_32)
  endif()
endif()

include(CPack)

## kodi-pvr-octonet 4.1.0-2+ds1

=== debian/changelog ===
kodi-pvr-octonet (4.1.0-2+ds1-1) unstable; urgency=medium

  * New upstream version 4.1.0-2+ds1
  * Force override libdir paths
  * Update list of copyright holders

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:24:01 +0000

kodi-pvr-octonet (4.0.1+ds1-1) experimental; urgency=medium

  * Initial upload

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 27 Dec 2020 13:46:43 +0000

=== debian/control ===
Source: kodi-pvr-octonet
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dh-sequence-kodiaddon,
               cmake,
               kodi-addons-dev (>= 2:19~),
               libjsoncpp-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-octonet
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-octonet.git
Homepage: https://kodi.tv

Package: kodi-pvr-octonet
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:PVRAPI}
Description: Digital Devices Octopus NET PVR for Kodi
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is Digital Devices Octopus NET PVR addon for Kodi.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=ReleaseWithDebInfo \
            -DBUILD_SHARED_LIBS=1 \
            -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi \
            -DOVERRIDE_PATHS=1 \
            -DUSE_LTO=1

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/DigitalDevices/pvr.octonet/releases \
/DigitalDevices/pvr.octonet/archive/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-pvr-octonet 19.0.0%2Bds1

=== debian/changelog ===
kodi-pvr-octonet (19.0.0+ds1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:41:31 +0000

kodi-pvr-octonet (19.0.0+ds1-2) unstable; urgency=medium

  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:50:47 +0000

kodi-pvr-octonet (19.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.0+ds1
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:14:02 +0000

kodi-pvr-octonet (4.1.0-2+ds1-2) unstable; urgency=medium

  * Fix github ref
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 Aug 2021 05:38:46 +0000

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
                cmake,
-               kodi-addons-dev (>= 2:19~),
                libjsoncpp-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-octonet
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-octonet.git

## kodi-pvr-octonet 19.0.0+ds1

=== debian/changelog ===
kodi-pvr-octonet (19.0.0+ds1-1build1) jammy; urgency=medium

  * No-change rebuild against libjsoncpp25

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Dec 2021 07:47:35 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: kodi-pvr-octonet
 Priority: optional
 Section: libs
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
+Build-Depends-Arch: dh-sequence-kodiaddon,
                cmake,
+               kodi-addons-dev (>= 2:19~),
                libjsoncpp-dev
 Standards-Version: 4.6.0
 Rules-Requires-Root: no

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/DigitalDevices/pvr.octonet/releases \
/DigitalDevices/pvr.octonet/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-pvr-octonet 20.2.0+ds1

=== debian/changelog ===
kodi-pvr-octonet (20.2.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.2.0+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:56:47 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/DigitalDevices/pvr.octonet/releases \
/DigitalDevices/pvr.octonet/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-pvr-octonet 20.3.0+ds1

=== debian/changelog ===
kodi-pvr-octonet (20.3.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.3.0+ds1
  * d/watch: switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:56:15 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: kodi-pvr-octonet
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
                cmake,
-               kodi-addons-dev (>= 2:19~),
                libjsoncpp-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-octonet
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-octonet.git

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds1, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/DigitalDevices/pvr.octonet \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-pvr-octonet 21.0.1%2Bds

=== debian/changelog ===
kodi-pvr-octonet (21.0.1+ds-3build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 12:11:01 +0000

kodi-pvr-octonet (21.0.1+ds-3) unstable; urgency=high

  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:46:10 +0000

kodi-pvr-octonet (21.0.1+ds-2) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:14:01 +0000

kodi-pvr-octonet (21.0.1+ds-1) unstable; urgency=medium

  * New upstream version 21.0.1+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 07:57:33 +0000

kodi-pvr-octonet (21.0.0+ds-1) experimental; urgency=medium

  * New upstream version 21.0.0+ds
  * Branch out experimental
  * Modernize package
  * New release 20.2.0+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 09 Mar 2024 15:10:22 +0000

## kodi-pvr-octonet 21.0.1+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,14 +12,10 @@
 set(DEPLIBS ${JSONCPP_LIBRARIES})
 
 set(OCTONET_SOURCES src/addon.cpp
-                    src/OctonetData.cpp
-                    src/Socket.cpp
-                    src/rtsp_client.cpp)
+                    src/OctonetData.cpp)
 
 set(OCTONET_HEADERS src/addon.h
-                    src/OctonetData.h
-                    src/Socket.h
-                    src/rtsp_client.hpp)
+                    src/OctonetData.h)
 
 addon_version(pvr.octonet OCTONET)
 add_definitions(-DOCTONET_VERSION=${OCTONET_VERSION})

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
                cmake,
                libjsoncpp-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-octonet
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-octonet.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-octonet.git -b debian/sid
 Homepage: https://kodi.tv
 
 Package: kodi-pvr-octonet

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/DigitalDevices/pvr.octonet \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian
